Account Holder Name Inquiry II (With Date of Birth) API
Validates account consistency by checking the account holder name along with date of birth (or business registration number).
API Information
POST/v1/api/auth/acnt/ownercheck2
Content-Type
application/json; charset=UTF-8Sandbox
https://tbnpay.settlebank.co.kr/v1/api/auth/acnt/ownercheck2Production
https://npay.settlebank.co.kr/v1/api/auth/acnt/ownercheck2Request Parameters
Type Notation
NNumericAAlphabeticHKoreanANAlphanumericAHNAlphanumeric + Koreane.g. AN(10) = alphanumeric, up to 10 bytes
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message type code. Fixed value.
Message type code. Fixed value.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Merchant ID.
Merchant ID.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytesMerchant order number (no Korean characters).
Merchant order number (no Korean characters).
└mchtCustIdAN(100)Alphanumeric, up to 100 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64Customer ID. AES-256 encrypted.Customer ID. AES-256 encrypted.
└reqDtAN(8)Alphanumeric, up to 8 bytes*Request date (yyyyMMdd).
Request date (yyyyMMdd).
└reqTmAN(6)Alphanumeric, up to 6 bytes*Request time (HH24MISS).
Request time (HH24MISS).
└bankCdAN(3)Alphanumeric, up to 3 bytes*Bank code.
Bank code.
└custAcntNoAN(15)Alphanumeric, up to 15 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64Account number (no hyphens). AES-256 encrypted.Account number (no hyphens). AES-256 encrypted.
└uiiAN(10)Alphanumeric, up to 10 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64Date of birth (yyMMdd) or business registration number (10 digits). AES-256 encrypted.Date of birth (yyMMdd) or business registration number (10 digits). AES-256 encrypted.
└mchtCustNmAN(30)Alphanumeric, up to 30 bytes
AES-256AES-256/ECB/PKCS5Padding + Base64Account holder name (Korean: 3 bytes per character). AES-256 encrypted.Account holder name (Korean: 3 bytes per character). AES-256 encrypted.
└acctNoChkYnAN(1)Alphanumeric, up to 1 bytesWhether to check for non-registrable accounts.
Whether to check for non-registrable accounts.
Y N└custIpAN(15)Alphanumeric, up to 15 bytesCustomer IP address.
Customer IP address.
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 HMAC signature.(auto-generated)SHA-256 HMAC signature.
NOTE
Signature Composition
mchtId + mchtCustId + reqDt + reqTm + custAcntNo + uii + hashKey
Response Parameters
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code.
0021Transaction status code.
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
0000Decline code.
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
Processed successfully.Result message.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytesMerchant order number.
OID201902210001Merchant order number.
└trdNoAN(40)Alphanumeric, up to 40 bytes*Transaction reference number.
STFP_FIRM12345678901234567890Transaction reference number.
└mchtCustNmAN(30)Alphanumeric, up to 30 bytes
AES-256AES-256/ECB/PKCS5PaddingAccount holder name as returned by the bank (Korean: 3 bytes per character). AES-256 encrypted.김헥토Account holder name as returned by the bank (Korean: 3 bytes per character). AES-256 encrypted.
*Certain response fields are AES-256 encrypted. Decrypt them before use.
